html {
  box-sizing: border-box;
  -ms-text-size-adjust: 100%;
  -webkit-text-size-adjust: 100%;
  height: 100%;
}

* {
  box-sizing: inherit;
  padding: 0;
  margin: 0;
  list-style: none;
  outline: none;

  &:before,
  &:after {
    box-sizing: inherit;
  }
}

#root {
  height: 100%;
}

body {
  height: 100%;
  margin: 0;
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
}

p,
h1,
h2,
h3,
h4 {
  margin: 0;
}

a,
button,
input[type="button"],
input[type="submit"],
input[type="checkbox"] {
  cursor: pointer;
}
